/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
/*
 * Copyright (c) 2007 University of Washington
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: Craig Dowell <craigdo@ee.washington.edu>
 */

#ifndef FW_SIMPLE_H
#define FW_SIMPLE_H

#include "ns3/fw-base.h"
#include "ns3/fw-ascii-trace.h"

namespace ns3 {

/**
 * \brief Simple Framework.
 *
 * This class specializes a framework for implementing simple simulations
 * as would be used by a casual user of the Ns-3 system.
 * 
 */
class SimpleSimulationFramework : 
  public SimulationFrameworkBase,
  public AsciiTraceFramework
{
public:
  SimpleSimulationFramework ();
  virtual ~SimpleSimulationFramework ();

protected:
  void PreSimulation(void);

private:
  void InitSimple (void);
  void CleanupSimple (void);
};

} // namespace ns3

#endif /* FW_SIMPLE_H */
